%define avcmajor		59
%define avclibname		%mklibname avcodec %{avcmajor}
%define develname		%mklibname %{name} -d
%define staticname		%mklibname %{name} -s -d

%define avfmajor		59
%define avflibname		%mklibname avformat %{avfmajor}

%define postprocmajor		56
%define postproclibname		%mklibname postproc %{postprocmajor}

%define avumajor		57
%define avulibname		%mklibname avutil %{avumajor}

%define swsmajor		6
%define swslibname		%mklibname swscaler %{swsmajor}

%define filtermajor		8
%define filterlibname		%mklibname avfilter %{filtermajor}

%define swresamplemajor		4
%define swresamplelibname	%mklibname swresample %{swresamplemajor}

%define build_plf	0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %{build_plf}
%define distsuffix	plf
%endif
%if "%distro_section" == "tainted"
%global build_plf	1
%endif

# The license of libfdk_aac is not compatible with GPL, so the GPL does not
# permit distribution of binaries containing incompatible code when GPL-licensed
# code is also included.
# Therefore let's this option available for user's who want to build ffmpeg for
# their own use with the "nonfree" components.
%define build_fdkaac	0
%{?_with_fdkaac: %{expand: %%global build_fdkaac 1}}
%{?_without_fdkaac: %{expand: %%global build_fdkaac 0}}

Name:		ffmpeg
Version:	5.1.3
Release:	%mkrel 3
Summary:	Hyper fast audio and video encoder
Group:		Video/Utilities
%if %{build_plf}
License:	GPLv3+
%else
License:	GPLv2+
%endif
URL:		https://ffmpeg.org/
Source0:	https://ffmpeg.org/releases/%{name}-%{version}.tar.xz

#squidf: temporary: to use ffmpeg system lib with Chromium
#https://bugs.chromium.org/p/chromium/issues/detail?id=1251779
#https://github.com/archlinux/svntogit-packages/blob/packages/ffmpeg/trunk/add-av_stream_get_first_dts-for-chromium.patch
Patch10:    ffmpeg-5.1-add-av_stream_get_first_dts-for-chromium.patch

# Upstream patches

BuildRequires:	texi2html
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vidstab)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libdc1394-2)
BuildRequires:	pkgconfig(schroedinger-1.0)
%ifarch x86_64
BuildRequires:	pkgconfig(libmfx)
%endif
BuildRequires:	pkgconfig(libvpx)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librtmp)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(OpenCL)
BuildRequires:	rtmp-devel
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(libva)
BuildRequires:	yasm
BuildRequires:	lame-devel
BuildRequires:	sndio-devel
BuildRequires:	pkgconfig(aom)
%if %{build_plf}
BuildRequires:	pkgconfig(x264) >= 0.118
BuildRequires:	pkgconfig(x265)
BuildRequires:	opencore-amr-devel
BuildRequires:	libvo-amrwbenc-devel
BuildRequires:	libxvid-devel
%if %{build_fdkaac}
BuildRequires:	pkgconfig(fdk-aac)
%endif
%endif
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	libnut-devel
BuildRequires:	gsm-devel
BuildRequires:	pkgconfig(celt)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(xavs)
BuildRequires:	pkgconfig(frei0r)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libopenmpt)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(dirac)
BuildRequires:	libv4l-devel
BuildRequires:	pkgconfig(dav1d) >= 0.4.0
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	%{_lib}qoi-devel
Requires:	%{postproclibname} = %{version}-%{release}
Requires:	%{avclibname} = %{version}-%{release}
Requires:	%{avflibname} = %{version}-%{release}
Requires:	%{avulibname} = %{version}-%{release}
Requires:	%{filterlibname} = %{version}-%{release}
Requires:	%{swslibname} = %{version}-%{release}
Requires:	%{swresamplelibname} = %{version}-%{release}

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%if %{build_plf}
This package is in the "tainted" section as it violates several patents.
%endif

%package -n	%{avclibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg
Provides:	libffmpeg = %{version}-%{release}

%description -n	%{avclibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{postproclibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg
Conflicts:	%mklibname ffmpeg 51

%description -n	%{postproclibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.


%package -n	%{avflibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{avflibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{avulibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{avulibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{swslibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{swslibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{filterlibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{filterlibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{swresamplelibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{swresamplelibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{develname}
Group:		Development/C
Summary:	Header files for the ffmpeg codec library
Requires:	%{avclibname} = %{version}-%{release}
Requires:	%{avflibname} = %{version}-%{release}
Requires:	%{avulibname} = %{version}-%{release}
Requires:	%{postproclibname} = %{version}-%{release}
Requires:	%{swslibname} = %{version}-%{release}
Requires:	%{filterlibname} = %{version}-%{release}
Requires:	%{swresamplelibname} = %{version}-%{release}
Provides:	libffmpeg-devel = %{version}-%{release}
Provides:	ffmpeg-devel = %{version}-%{release}

%description -n	%{develname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%package -n	%{staticname}
Group:		Development/C
Summary:	Static library for the ffmpeg codec library
Requires:	%{develname} = %{version}-%{release}
Provides:	libffmpeg-static-devel = %{version}-%{release}

%description -n	%{staticname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fPIC"
export LDFLAGS="%{ldflags}"

./configure --prefix=%{_prefix} \
	--enable-shared \
	--enable-pic \
	--libdir=%{_libdir} \
	--shlibdir=%{_libdir} \
	--incdir=%{_includedir} \
	--disable-stripping \
	--enable-postproc \
	--enable-gpl \
	--enable-pthreads \
	--enable-libtheora \
	--enable-libvorbis --disable-encoder=vorbis \
	--enable-libvpx \
	--enable-runtime-cpudetect \
	--enable-libaom \
	--enable-libdc1394 \
	--enable-librtmp \
	--enable-libspeex \
	--enable-libfreetype \
	--enable-libgsm \
	--enable-libcelt \
	--enable-libopenmpt \
	--enable-libopus \
	--disable-libopencv \
	--enable-libopenjpeg \
	--enable-libvidstab \
	--enable-libtwolame \
	--enable-libxavs \
	--enable-frei0r \
	--enable-libmodplug \
	--enable-libass \
	--enable-gnutls \
	--enable-libcdio \
%ifarch x86_64
	--enable-libmfx \
%endif
	--enable-libpulse \
	--enable-libv4l2 \
	--enable-opencl \
	--enable-libmp3lame \
	--enable-sndio \
	--enable-libdav1d \
%if %{build_plf}
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
	--enable-version3 \
	--enable-libx264 \
	--enable-libx265 \
	--enable-libvo-amrwbenc \
	--enable-libxvid \
	--enable-libjxl \
%if %{build_fdkaac}
	--enable-nonfree --enable-libfdk-aac \
%endif
%else
	--disable-decoder=aac --disable-encoder=aac \
%endif

%make_build

%install
%make_install SRC_PATH=`pwd`

%files
%doc doc/*.html doc/*.txt doc/*css
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/ffmpeg

%files -n %{avclibname}
%{_libdir}/libavcodec.so.%{avcmajor}{,.*}

%files -n %{postproclibname}
%{_libdir}/libpostproc.so.%{postprocmajor}{,.*}

%files -n %{avflibname}
%{_libdir}/libavformat.so.%{avfmajor}{,.*}
%{_libdir}/libavdevice.so.%{avfmajor}{,.*}

%files -n %{avulibname}
%{_libdir}/libavutil.so.%{avumajor}{,.*}

%files -n %{swslibname}
%{_libdir}/libswscale.so.%{swsmajor}{,.*}

%files -n %{filterlibname}
%{_libdir}/libavfilter.so.%{filtermajor}{,.*}

%files -n %{swresamplelibname}
%{_libdir}/libswresample.so.%{swresamplemajor}{,.*}

%files -n %{develname}
%doc doc/APIchanges
%{_includedir}/libavcodec
%{_includedir}/libavdevice
%{_includedir}/libavfilter
%{_includedir}/libavformat
%{_includedir}/libavutil
%{_includedir}/libpostproc
%{_includedir}/libswscale
%{_includedir}/libswresample
%{_libdir}/libavcodec.so
%{_libdir}/libavdevice.so
%{_libdir}/libavformat.so
%{_libdir}/libavfilter.so
%{_libdir}/libavutil.so
%{_libdir}/libpostproc.so
%{_libdir}/libswscale.so
%{_libdir}/libswresample.so
%{_libdir}/pkgconfig/libswscale.pc
%{_libdir}/pkgconfig/libavcodec.pc
%{_libdir}/pkgconfig/libavdevice.pc
%{_libdir}/pkgconfig/libavfilter.pc
%{_libdir}/pkgconfig/libavformat.pc
%{_libdir}/pkgconfig/libavutil.pc
%{_libdir}/pkgconfig/libpostproc.pc
%{_libdir}/pkgconfig/libswresample.pc
%{_mandir}/man3/lib*.3*

%files -n %{staticname}
%{_libdir}/*.a


%changelog
* Fri Jun 16 2023 kekepower <kekepower> 5.1.3-3.mga9
+ Revision: 1962199
- Enable qoi - The Quite OK Image Format

* Mon Jun 05 2023 daviddavid <daviddavid> 5.1.3-2.mga9.tainted
+ Revision: 1961037
- enable openmpt support

* Wed Mar 29 2023 kekepower <kekepower> 5.1.3-1.mga9.tainted
+ Revision: 1950671
- Remove upstream patches
- Update to version 5.1.3

* Wed Mar 15 2023 kekepower <kekepower> 5.1.2-4.mga9.tainted
+ Revision: 1949119
- Add upstream patch to fix CVE-2022-3965
+ rapsys <rapsys>
- Remove faac build flag as it was removed from ffmpeg 3.2

* Wed Nov 23 2022 kekepower <kekepower> 5.1.2-3.mga9
+ Revision: 1910605
- Add patch from SuSE to fix CVE-2022-3964 (mga#31175)
- Build with jpeg-xl support

* Tue Oct 11 2022 ghibo <ghibo> 5.1.2-2.mga9.tainted
+ Revision: 1896284
- Rebuild against libvpx 1.12.0 (changed major from 6 to 7)

* Sat Oct 08 2022 kekepower <kekepower> 5.1.2-1.mga9
+ Revision: 1895552
- Update patch 10 source
- Update to version 5.1.2

* Sun Apr 24 2022 wally <wally> 5.0.1-2.mga9
+ Revision: 1853026
- rebuild for x264 0.164

* Tue Apr 05 2022 kekepower <kekepower> 5.0.1-1.mga9
+ Revision: 1844717
- Update to version 5.0.1

* Tue Mar 29 2022 kekepower <kekepower> 5.0-3.mga9.tainted
+ Revision: 1831733
- Rebuild for new dav1d

* Fri Mar 18 2022 squidf <squidf> 5.0-2.mga9.tainted
+ Revision: 1798454
- Add patch to build Chromium with unbundled ffmpeg system lib

* Thu Mar 10 2022 luigiwalser <luigiwalser> 5.0-1.mga9.tainted
+ Revision: 1790278
- 5.0
- libavutil major is now 57
- libavcodec, libavformat majors are now 59
- libavfilter major is now 8
- libswscale major is now 6
- libswresample major is now 4
- libpostproc major is now 56
- remove patch (kodi should call avformat_flush instead of av_read_frame_flush_mga_kodi_mod)
- remove libavresample (deprecated in favor of libswresample in ffmpeg 4.0, removed in 5.0)

* Mon Oct 25 2021 kekepower <kekepower> 4.4.1-1.mga9.tainted
+ Revision: 1752836
- Update to version 4.4.1

* Fri Jul 16 2021 luigiwalser <luigiwalser> 4.4-3.mga9.tainted
+ Revision: 1736232
- rebuild for aom

* Tue May 25 2021 akien <akien> 4.4-2.mga9.tainted
+ Revision: 1728198
- Rebuild for sndio 1.8.0 with fixed SONAME

* Sat Apr 17 2021 daviddavid <daviddavid> 4.4-1.mga9.tainted
+ Revision: 1716290
- new version: 4.4
- remove merged upstream patches

* Wed Feb 03 2021 neoclust <neoclust> 4.3.1-6.mga8.tainted
+ Revision: 1674583
- Enhance previous security patches

* Wed Feb 03 2021 neoclust <neoclust> 4.3.1-5.mga8.tainted
+ Revision: 1674582
- Add P1-2: Fixes CVE-2020-35965 (mga#28276)

* Wed Nov 25 2020 kekepower <kekepower> 4.3.1-4.mga8
+ Revision: 1649144
- Rebuild for new dav1d

* Fri Jul 24 2020 kekepower <kekepower> 4.3.1-3.mga8.tainted
+ Revision: 1608809
- Rebuild for new sndio

* Sun Jul 12 2020 zezinho <zezinho> 4.3.1-2.mga8.tainted
+ Revision: 1605337
- rebuild against x265 3.4

* Sat Jul 11 2020 kekepower <kekepower> 4.3.1-1.mga8.tainted
+ Revision: 1605145
- Update to version 4.3.1

* Mon Jul 06 2020 daviddavid <daviddavid> 4.3-2.mga8
+ Revision: 1602631
- rebuild for new x264-0.157
+ ghibo <ghibo>
- Versioning dav1d devel BuildRequires

* Tue Jun 16 2020 kekepower <kekepower> 4.3-1.mga8.tainted
+ Revision: 1593451
- Update to version 4.3

* Thu Jun 04 2020 kekepower <kekepower> 4.2.3-3.mga8.tainted
+ Revision: 1590354
- Rebuild for new aom

* Mon May 25 2020 tv <tv> 4.2.3-2.mga8.tainted
+ Revision: 1587540
- rebuild for new x265

* Thu May 21 2020 luigiwalser <luigiwalser> 4.2.3-1.mga8
+ Revision: 1586735
- 4.2.3

* Tue Apr 07 2020 zezinho <zezinho> 4.2.2-6.mga8.tainted
+ Revision: 1565467
- limit mfx to x86_64
- enable libmfx now that it is free

* Tue Mar 10 2020 kekepower <kekepower> 4.2.2-5.mga8.tainted
+ Revision: 1555370
- Rebuild for new dav1d

* Thu Feb 20 2020 umeabot <umeabot> 4.2.2-4.mga8.tainted
+ Revision: 1545071
- Mageia 8 Mass Rebuild

* Wed Feb 19 2020 kekepower <kekepower> 4.2.2-3.mga8.tainted
+ Revision: 1544798
- Disable support for OpenCV for now
+ daviddavid <daviddavid>
- non-bootstrap build to re-enable opencv support

* Mon Jan 27 2020 daviddavid <daviddavid> 4.2.2-2.mga8.tainted
+ Revision: 1483740
- bootstrap build for new opencv
- rebuild for new opencv 4.2.0

* Wed Jan 01 2020 kekepower <kekepower> 4.2.2-1.mga8.tainted
+ Revision: 1475213
- Update to version 4.2.2

* Tue Dec 10 2019 kekepower <kekepower> 4.2.1-4.mga8.tainted
+ Revision: 1465644
- Rebuild for new dav1d

* Thu Nov 07 2019 tv <tv> 4.2.1-3.mga8.tainted
+ Revision: 1458716
- enable libvidstab

* Sat Oct 19 2019 daviddavid <daviddavid> 4.2.1-2.mga8.tainted
+ Revision: 1454596
- rebuild for new x265

* Sun Sep 08 2019 luigiwalser <luigiwalser> 4.2.1-1.mga8
+ Revision: 1438298
- 4.2.1

* Fri Aug 16 2019 kekepower <kekepower> 4.2-1.mga8.tainted
+ Revision: 1429413
- Update to version 4.2

* Thu Jul 11 2019 luigiwalser <luigiwalser> 4.1.4-1.mga8
+ Revision: 1420282
- 4.1.4

* Fri Jul 05 2019 daviddavid <daviddavid> 4.1.3-3.mga8.tainted
+ Revision: 1418749
- rebuild for new libdc1394 2.2.6

* Fri May 31 2019 shlomif <shlomif> 4.1.3-2.mga7.tainted
+ Revision: 1399400
- enable -fPIC properly. Thanks to joeghi.

* Tue Apr 02 2019 kekepower <kekepower> 4.1.3-1.mga7.tainted
+ Revision: 1385129
- Update to version 4.1.3

* Sun Mar 24 2019 luigiwalser <luigiwalser> 4.1.2-1.mga7
+ Revision: 1379855
- 4.1.2

* Tue Mar 05 2019 kekepower <kekepower> 4.1.1-6.mga7
+ Revision: 1371644
- Rebuild for libdav1d

* Tue Mar 05 2019 daviddavid <daviddavid> 4.1.1-5.mga7
+ Revision: 1371634
- finally disable fdk-aac support as it is not compatible with GPL license

* Sun Mar 03 2019 daviddavid <daviddavid> 4.1.1-4.mga7
+ Revision: 1371153
- enable fdk-aac support (mga#7957)
- enable sndio support

* Fri Mar 01 2019 akien <akien> 4.1.1-3.mga7.tainted
+ Revision: 1370652
- Disable bootstrap, leftover from r1178621

* Sun Feb 10 2019 zezinho <zezinho> 4.1.1-2.mga7
+ Revision: 1365069
- rebuild for libvpx 1.8.0

* Sun Feb 10 2019 kekepower <kekepower> 4.1.1-1.mga7.tainted
+ Revision: 1364855
- Update to version 4.1.1

* Mon Feb 04 2019 zezinho <zezinho> 4.1-7.mga7.tainted
+ Revision: 1363196
- enable libaom

* Mon Feb 04 2019 zezinho <zezinho> 4.1-6.mga7.tainted
+ Revision: 1363062
- rebuild for libx265

* Tue Jan 08 2019 kekepower <kekepower> 4.1-5.mga7.tainted
+ Revision: 1352747
- Add upstream patch for dav1d: properly-free-all-output-picture-references.patch

* Sun Dec 30 2018 luigiwalser <luigiwalser> 4.1-4.mga7
+ Revision: 1347155
- rebuild for x264

* Thu Dec 13 2018 kekepower <kekepower> 4.1-3.mga7.tainted
+ Revision: 1340981
- Add latest patches from git for libdav1d 0.1.0

* Thu Nov 29 2018 kekepower <kekepower> 4.1-2.mga7.tainted
+ Revision: 1336714
- Enable libdav1d

* Thu Nov 22 2018 shlomif <shlomif> 4.1-1.mga7.tainted
+ Revision: 1333256
- New version 4.1

* Sat Nov 03 2018 luigiwalser <luigiwalser> 4.0.3-1.mga7.tainted
+ Revision: 1327915
- 4.0.3

* Tue Oct 16 2018 daviddavid <daviddavid> 4.0.2-3.mga7
+ Revision: 1320750
- rebuild for new x265

* Sun Sep 23 2018 umeabot <umeabot> 4.0.2-2.mga7.tainted
+ Revision: 1297687
- Mageia 7 Mass Rebuild

* Thu Jul 19 2018 luigiwalser <luigiwalser> 4.0.2-1.mga7.tainted
+ Revision: 1244263
- 4.0.2

* Sun Jun 17 2018 luigiwalser <luigiwalser> 4.0.1-1.mga7.tainted
+ Revision: 1237316
- remove upstreamed patch 1
- 4.0.1

* Fri Jun 08 2018 daviddavid <daviddavid> 4.0-6.mga7.tainted
+ Revision: 1235289
- rebuild for new x265

* Fri May 25 2018 joequant <joequant> 4.0-5.mga7
+ Revision: 1232189
- add upstream STSC patch - bug #7165

* Sat May 19 2018 daviddavid <daviddavid> 4.0-4.mga7.tainted
+ Revision: 1230542
- rebuild against latest libvpx (mga#23059)

* Mon Apr 30 2018 ovitters <ovitters> 4.0-3.mga7
+ Revision: 1224005
- rebuild for missing signature

* Fri Apr 27 2018 daviddavid <daviddavid> 4.0-2.mga7
+ Revision: 1222898
- rebuild for new x264 and x265

* Sun Apr 22 2018 zezinho <zezinho> 4.0-1.mga7.tainted
+ Revision: 1221146
- new major version 4.0

* Fri Apr 06 2018 kekepower <kekepower> 3.4.2-2.mga7.tainted
+ Revision: 1215653
- Rebuild for new libva

* Mon Feb 12 2018 kekepower <kekepower> 3.4.2-1.mga7.tainted
+ Revision: 1200734
- Update to version 3.4.2

* Sun Jan 28 2018 cjw <cjw> 3.4.1-3.mga7.tainted
+ Revision: 1197838
- rebuild for new libvpx

* Thu Dec 28 2017 wally <wally> 3.4.1-2.mga7.tainted
+ Revision: 1186821
- rebuild for new x265

* Tue Dec 12 2017 luigiwalser <luigiwalser> 3.4.1-1.mga7
+ Revision: 1182421
- 3.4.1

* Wed Nov 22 2017 tv <tv> 3.4-3.mga7.tainted
+ Revision: 1178625
- tainted release

* Wed Nov 22 2017 tv <tv> 3.4-2.mga7
+ Revision: 1178622
- bootstrap build
- rebuild for new libx265

* Tue Oct 24 2017 shlomif <shlomif> 3.4-1.mga7.tainted
+ Revision: 1173337
- Add missing BR
- New version 3.4

* Wed Sep 13 2017 cjw <cjw> 3.3.4-1.mga7.tainted
+ Revision: 1153383
- 3.3.4
- patch1: fix configure script for openjpeg 2.2

* Sun Jul 30 2017 shlomif <shlomif> 3.3.3-4.mga7.tainted
+ Revision: 1132836
- rebuild for tainted

* Sun Jul 30 2017 shlomif <shlomif> 3.3.3-3.mga7
+ Revision: 1132814
- rebuild for core

* Sun Jul 30 2017 shlomif <shlomif> 3.3.3-2.mga7.tainted
+ Revision: 1132807
- New version 3.3.3

* Mon Jul 17 2017 cjw <cjw> 3.3.2-2.mga7.tainted
+ Revision: 1124498
- rebuild for new libvpx

* Wed Jun 07 2017 luigiwalser <luigiwalser> 3.3.2-1.mga6.tainted
+ Revision: 1107165
- 3.3.2

* Mon May 15 2017 luigiwalser <luigiwalser> 3.3.1-1.mga6.tainted
+ Revision: 1101684
- 3.3.1

* Thu May 04 2017 zezinho <zezinho> 3.3-2.mga6.tainted
+ Revision: 1099017
- enable mp3 encoder in core as patents are gone

* Sun Apr 30 2017 neoclust <neoclust> 3.3-1.mga6.tainted
+ Revision: 1098106
- New version 3.3

* Fri Mar 10 2017 akien <akien> 3.2.4-4.mga6.tainted
+ Revision: 1091601
- Rebuild for v4l-utils 1.12.3

* Wed Mar 08 2017 neoclust <neoclust> 3.2.4-3.mga6
+ Revision: 1089928
- Rebuild without bootstrap

* Wed Mar 08 2017 akien <akien> 3.2.4-2.mga6.tainted
+ Revision: 1089885
- Bootstrap ffmpeg, i.e. disable opencv cyclical dep
- Rebuild in */release

* Wed Feb 22 2017 zezinho <zezinho> 3.2.4-1.mga6.tainted
+ Revision: 1087332
- new bugfix version 3.2.4 - BR opencl
- BR opencv as it builds now
- BR SDL2 to build ffplay

* Mon Jan 23 2017 zezinho <zezinho> 3.2.2-2.mga6.tainted
+ Revision: 1083130
- bump rel to submit to tainted

* Wed Jan 18 2017 zezinho <zezinho> 3.2.2-1.mga6.tainted
+ Revision: 1082336
- upgrade to latest upstream 3.2.2

* Tue Jan 10 2017 luigiwalser <luigiwalser> 2.8.10-3.mga6.tainted
+ Revision: 1080918
- rebuild for libass

* Sun Jan 01 2017 luigiwalser <luigiwalser> 2.8.10-2.mga6.tainted
+ Revision: 1079499
- rebuild for x265

* Tue Dec 06 2016 luigiwalser <luigiwalser> 2.8.10-1.mga6.tainted
+ Revision: 1072818
- 2.8.10

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.8.8-1.2.mga6.tainted
+ Revision: 1070671
- rebuild for x265

* Sun Oct 02 2016 akien <akien> 2.8.8-1.1.mga6.tainted
+ Revision: 1058091
- Rebuild for tainted

* Sat Oct 01 2016 luigiwalser <luigiwalser> 2.8.8-1.mga6
+ Revision: 1058012
- 2.8.8

* Mon Sep 12 2016 luigiwalser <luigiwalser> 2.8.6-4.mga6
+ Revision: 1051569
- rebuild for x265

* Wed Apr 13 2016 daviddavid <daviddavid> 2.8.6-3.mga6.tainted
+ Revision: 1001043
- enable avresample support (needed for new upstream release performous)

* Sun Feb 14 2016 luigiwalser <luigiwalser> 2.8.6-2.mga6.tainted
+ Revision: 960386
- rebuild for x265
- remove vo-aacenc support (dropped upstream)

* Tue Feb 02 2016 luigiwalser <luigiwalser> 2.8.6-1.mga6.tainted
+ Revision: 931880
- 2.8.6

* Mon Jan 18 2016 luigiwalser <luigiwalser> 2.8.5-2.mga6.tainted
+ Revision: 925618
- rebuild for x264

* Fri Jan 15 2016 luigiwalser <luigiwalser> 2.8.5-1.mga6.tainted
+ Revision: 923304
- 2.8.5

* Tue Jan 12 2016 daviddavid <daviddavid> 2.8.4-2.mga6.tainted
+ Revision: 922232
+ rebuild (emptylog)

* Mon Jan 11 2016 luigiwalser <luigiwalser> 2.8.4-2.mga6
+ Revision: 921803
- rebuild for gnutls

* Mon Dec 21 2015 fwang <fwang> 2.8.4-1.mga6.tainted
+ Revision: 912825
- patch1 is merged
- 2.8.4

* Mon Nov 30 2015 luigiwalser <luigiwalser> 2.8.3-1.mga6.tainted
+ Revision: 907243
- 2.8.3

* Mon Nov 16 2015 oden <oden> 2.8.2-1.mga6.tainted
+ Revision: 903583
- fix build
- 2.8.2
- rebuild

* Sat Oct 17 2015 fwang <fwang> 2.8.1-1.mga6.tainted
+ Revision: 892286
- 2.8.1

* Fri Oct 09 2015 zezinho <zezinho> 2.8-2.mga6.tainted
+ Revision: 888419
- activate libx265 in tainted

* Thu Sep 10 2015 fwang <fwang> 2.8-1.mga6.tainted
+ Revision: 875334
- 2.8

* Thu Sep 03 2015 shlomif <shlomif> 2.7.2-1.mga6.tainted
+ Revision: 872412
- New version 2.7.2

* Thu Jul 16 2015 neoclust <neoclust> 2.7.1-2.mga6.tainted
+ Revision: 854563
- Rebuld against new libcdio-paranoia-devel

* Sat Jun 27 2015 cjw <cjw> 2.7.1-1.mga6.tainted
+ Revision: 846244
- 2.7.1

* Sun May 17 2015 luigiwalser <luigiwalser> 2.4.9-1.mga5.tainted
+ Revision: 822201
- 2.4.9

* Sun Mar 08 2015 luigiwalser <luigiwalser> 2.4.7-1.mga5.tainted
+ Revision: 818173
- 2.4.7

* Sun Feb 15 2015 luigiwalser <luigiwalser> 2.4.6-1.mga5.tainted
+ Revision: 814980
- 2.4.6

* Mon Jan 12 2015 luigiwalser <luigiwalser> 2.4.5-1.mga5.tainted
+ Revision: 810005
- 2.4.5

* Tue Dec 02 2014 luigiwalser <luigiwalser> 2.4.4-1.mga5.tainted
+ Revision: 800282
- 2.4.4

* Mon Nov 24 2014 anssi <anssi> 2.4.3-2.mga5.tainted
+ Revision: 798788
- add patch to make ff_read_frame_flush() public under a custom name for
  Kodi use for the time being

* Wed Nov 05 2014 akien <akien> 2.4.3-1.mga5.tainted
+ Revision: 795854
- Version 2.4.3
- Version 2.3.4

* Wed Oct 15 2014 umeabot <umeabot> 2.3.3-3.mga5.tainted
+ Revision: 739475
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 fwang <fwang> 2.3.3-1.mga5.tainted
+ Revision: 664986
- 2.3.3

* Wed Aug 13 2014 fwang <fwang> 2.3.2-1.mga5.tainted
+ Revision: 662337
- 2.3.2

* Mon Aug 04 2014 fwang <fwang> 2.3.1-1.mga5.tainted
+ Revision: 659524
- 2.3.1

* Sun Jul 20 2014 wally <wally> 2.3-2.mga5.tainted
+ Revision: 654679
- add patch to add missing long_name descriptions to img2dec.c (to hopefully fix segfaults in gstreamers ffmpeg/libav plugins)

* Wed Jul 16 2014 fwang <fwang> 2.3-1.mga5.tainted
+ Revision: 653233
- update file list
- 2.3

* Tue Jul 15 2014 fwang <fwang> 2.2.5-1.mga5.tainted
+ Revision: 652797
- 2.2.5

* Tue Jun 24 2014 fwang <fwang> 2.2.4-1.mga5.tainted
+ Revision: 639184
- 2.2.4

* Tue Jun 03 2014 fwang <fwang> 2.2.3-1.mga5.tainted
+ Revision: 631795
- 2.2.3

* Mon May 05 2014 fwang <fwang> 2.2.2-1.mga5.tainted
+ Revision: 620184
- 2.2.2

* Fri Apr 11 2014 fwang <fwang> 2.2.1-1.mga5.tainted
+ Revision: 613377
- 2.2.1

* Tue Apr 01 2014 akien <akien> 2.2-3.mga5.tainted
+ Revision: 611178
- Enable atrac3p decoder in the tainted build

* Sun Mar 30 2014 daviddavid <daviddavid> 2.2-2.mga5.tainted
+ Revision: 610545
- rebuild for new x264

* Mon Mar 24 2014 fwang <fwang> 2.2-1.mga5.tainted
+ Revision: 607754
- 2.2

* Tue Feb 25 2014 fwang <fwang> 2.1.4-1.mga5.tainted
+ Revision: 596756
- 2.1.4

* Mon Feb 17 2014 luigiwalser <luigiwalser> 2.1.3-4.mga5
+ Revision: 593273
- rebuild for x264

* Sun Feb 16 2014 luigiwalser <luigiwalser> 2.1.3-3.mga5.tainted
+ Revision: 592546
- rebuild for librtmp

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.1.3-2.mga5.tainted
+ Revision: 592219
- rebuild for libass

* Tue Feb 04 2014 fwang <fwang> 2.1.3-1.mga5.tainted
+ Revision: 581473
- new version 2.1.3

* Mon Oct 21 2013 umeabot <umeabot> 2.0.2-2.mga4.tainted
+ Revision: 540555
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 2.0.2-1.mga4.tainted
+ Revision: 493838
- new version 2.0.2

* Sun Sep 01 2013 fwang <fwang> 2.0.1-3.mga4.tainted
+ Revision: 473879
- rebuild for new libcdio split

* Sat Aug 24 2013 luigiwalser <luigiwalser> 2.0.1-2.mga4.tainted
+ Revision: 470988
- rebuild for x264

* Tue Aug 13 2013 fwang <fwang> 2.0.1-1.mga4.tainted
+ Revision: 466023
- new version 2.0.1

* Wed Jul 10 2013 fwang <fwang> 2.0-1.mga4.tainted
+ Revision: 452438
- add man pages
- new version 2.0

* Mon Jun 17 2013 luigiwalser <luigiwalser> 1.2.1-3.mga4.tainted
+ Revision: 443886
- rebuild for x264
+ fwang <fwang>
- rebuild for new openjpeg

* Thu May 23 2013 fwang <fwang> 1.2.1-1.mga4.tainted
+ Revision: 425394
- new version 1.2.1

* Fri Apr 05 2013 fwang <fwang> 1.1.4-1.mga3.tainted
+ Revision: 408187
- new version 1.1.4

* Tue Feb 12 2013 fwang <fwang> 1.1.2-1.mga3.tainted
+ Revision: 398016
- new version 1.1.2
- new version 1.1.1

* Fri Jan 11 2013 umeabot <umeabot> 1.1-3.mga3.tainted
+ Revision: 350258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.1-2.mga3.tainted
+ Revision: 341613
- enable libopus and libtwolame
- remove old comment about gstreamer0.10-ffmpeg

* Tue Jan 08 2013 fwang <fwang> 1.1-1.mga3.tainted
+ Revision: 341574
- fix libmajor
- new version 1.1

* Sun Dec 09 2012 cjw <cjw> 1.0.1-2.mga3.tainted
+ Revision: 329207
- patch1: fix chromium-browser 25 build

* Thu Dec 06 2012 fwang <fwang> 1.0.1-1.mga3.tainted
+ Revision: 327105
- new version 1.0.1

* Sun Oct 07 2012 fwang <fwang> 1.0-2.mga3.tainted
+ Revision: 303245
- rebuild for new openjpeg

* Fri Sep 28 2012 fwang <fwang> 1.0-1.mga3.tainted
+ Revision: 298904
- update libmajor
- update group
- new version 1.0

* Wed Sep 19 2012 fwang <fwang> 0.11.2-1.mga3.tainted
+ Revision: 296119
- new version 0.11.2

* Sat Sep 15 2012 fwang <fwang> 0.11.1-3.mga3.tainted
+ Revision: 294225
- rebuild for new x264
- gst1.0 is using libav fork now
- add note on gst1.0-ffmpeg
- add note on gstreamer0.10-ffmpeg package

* Sun Aug 05 2012 shlomif <shlomif> 0.11.1-2.mga3.tainted
+ Revision: 278609
- Rebuild because ffmpeg is uninstallable.
  See: https://bugs.mageia.org/show_bug.cgi?id=6809#c7 .

* Fri Jun 08 2012 fwang <fwang> 0.11.1-1.mga3.tainted
+ Revision: 257773
- drop avresample lib
- new version 0.11.1

* Tue May 29 2012 fwang <fwang> 0.11-2.mga3.tainted
+ Revision: 249021
- disable opencv as it does not recognize newer opencv
- revert previous change
- disable opencv for now
- rebuild for new opencv

* Mon May 28 2012 fwang <fwang> 0.11-1.mga3.tainted
+ Revision: 247809
- update file list
- update libmajor
- drop unused swtich
- new version 0.11

* Mon May 07 2012 fwang <fwang> 0.10.3-1.mga2.tainted
+ Revision: 234856
- new version 0.10.3
+ blino <blino>
- revert doc changes, since ffmpeg should not be pulled for most users anyway (as pointed by Anssi)
- split out advanced doc in ffmpeg-doc since it takes about 1MB
- do not package INSTALL file which is not relevant for end users

* Thu Apr 12 2012 fwang <fwang> 0.10.2-2.mga2.tainted
+ Revision: 230356
- rebuild for new openjpeg

* Mon Mar 19 2012 fwang <fwang> 0.10.2-1.mga2.tainted
+ Revision: 224316
- drop merged patch
- new version 0.10.2

* Fri Mar 02 2012 fwang <fwang> 0.10-2.mga2.tainted
+ Revision: 216649
- rebuild for new vpx

* Fri Jan 27 2012 fwang <fwang> 0.10-1.mga2.tainted
+ Revision: 202149
- update libmajor
- new version 0.10

* Mon Jan 16 2012 luigiwalser <luigiwalser> 0.9.1-2.mga2.tainted
+ Revision: 196692
- enable speex freetype libnut gsm celt opencv openjpeg xavs frei0r
- enable libmodplug libass gnutls libcdio libpulse dirac libv4l2
- format string fix (from mdv)
- format string fix (from mdv)
- spec cleanups from mdv

* Thu Jan 05 2012 fwang <fwang> 0.9.1-1.mga2.tainted
+ Revision: 191144
- new version 0.9.1

* Tue Dec 13 2011 fwang <fwang> 0.9-1.mga2.tainted
+ Revision: 181284
- bump x264 req

* Tue Dec 13 2011 fwang <fwang> 0.9-1.mga2
+ Revision: 181262
- update file list
- update file list
- new verison 0.9

* Tue Nov 22 2011 fwang <fwang> 0.8.7-1.mga2.tainted
+ Revision: 170893
- new version 0.8.7

* Sat Nov 05 2011 fwang <fwang> 0.8.6-1.mga2.tainted
+ Revision: 163098
- new version 0.8.6

* Mon Oct 03 2011 fwang <fwang> 0.8.5-1.mga2.tainted
+ Revision: 151124
- new version 0.8.5
- update avformat libname

* Tue Sep 27 2011 spuhler <spuhler> 0.8.4-2.mga2
+ Revision: 149251
- changed -%%_mandir, %%_datadir to %%{_mandir}, %%{_datadir}
- changed BuildRequires: tetex-texi2html to BuildRequires: texi2html

* Thu Sep 22 2011 fwang <fwang> 0.8.4-1.mga2.tainted
+ Revision: 146724
- new version 0.8.4

* Thu Sep 08 2011 fwang <fwang> 0.8.3-1.mga2.tainted
+ Revision: 141359
- new version 0.8.3
- rename libffmpeg into libavcodec to reflect its actural content
- new version 0.8.2
- new version 0.8.1

* Fri Jun 24 2011 fwang <fwang> 0.8-1.mga2.tainted
+ Revision: 112931
- bump req on x264
- faad support removed in ffmpeg 0.8

* Fri Jun 24 2011 fwang <fwang> 0.8-1.mga2
+ Revision: 112920
- br yasm
- alwasy build swscale
- drop upstream patches
- new version 0.8

* Fri Jun 17 2011 ahmad <ahmad> 0.6.3-3.mga2
+ Revision: 108552
- Enable libxvid support (Tainted build)

* Sun May 29 2011 pterjan <pterjan> 0.6.3-2.mga1.tainted
+ Revision: 100677
- Fix description of tainted package
- Enable tainted build
+ cjw <cjw>
- patch2-5: add support for vo-amrwbenc and vo-aacenc (from ffmpeg git)

* Wed Apr 27 2011 colin <colin> 0.6.3-1.mga1
+ Revision: 92150
- New bugfix release

* Fri Jan 14 2011 dmorgan <dmorgan> 0.6.1-2.mga1
+ Revision: 18043
- Get rid of mdv macros
+ ahmad <ahmad>
- imported package ffmpeg

